put
https://yourServer.jamfcloud.com/JSSResource/smtpserver
Password can be changed via the
Jamf Pro API equivalent available:PUT /api/v2/smtp-server. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
<smtp_server>
<enabled>true</enabled>
<host>smtp.sendgrid.net</host>
<port>587</port>
<timeout>5</timeout>
<authorization_required>true</authorization_required>
<username>sample-username</username>
<password>sample-password</password>
<ssl>false</ssl>
<tls>false</tls>
<encryption>0</encryption>
<send_from_name>Jamf Pro Server</send_from_name>
<send_from_email>[email protected]</send_from_email>
</smtp_server> 201Created